Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.service
Class EJBResource

    java.lang.Object
      |
      +--weblogic.security.service.ResourceBase
            |
            +--weblogic.security.service.EJBResource

public final class EJBResource
extends ResourceBase

The `EJBResource` class is used by a container to specify the EJB resource (and method related to the resource) that a caller is attempting to access.

The `toString` format (which is produced by the `ResourceBase` class) for an EJB resource is:
`type=<ejb>, app=myApp, module=MyJarFile, ejb=myEJB, method=myMethod, methodInterface=Home, methodParams={argumentType1, argumentType2}`

Author:
  Copyright (c) 2002 by BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class weblogic.security.service.ResourceBase
`id, length, NO_PARENT, parent, resStr, SCOPE_RESOURCE_ACTION, values`

Constructor Summary
`EJBResource(java.lang.String app, java.lang.String module, java.lang.String ejb, java.lang.String method, java.lang.String methodInterface, java.lang.String[] methodParams)` Constructs a new `EJBResource` with a target name composed from the `app`, `module`, `ejb`, `method`, `methodInterface`, and `methodParams` parameters.

Method Summary
`java.lang.String` | `getApplicationName()` Gets the name of the application associated with the `EJBResource`.
`java.lang.String` | `getEJBName()` Gets the name of the EJB.
`java.lang.String[]` | `getKeys()` Gets keys for the `EJBResource`.
`java.lang.String` | `getMethodInterface()` Gets the EJB interface of the `EJBResource`.
`java.lang.String` | `getMethodName()` Gets the name of the method on the `EJBResource`.
`java.lang.String[]` | `getMethodParams()` Gets the parameter signature of the target method.
`java.lang.String` | `getModuleName()` Gets the name of the `EJBResource` module.
`java.lang.String` | `getType()` Gets the type of this resource (`EJBResource`).
`void` | `initialize(java.lang.String application, java.lang.String module, java.lang.String ejb, java.lang.String method, java.lang.String methodInterface, java.lang.String[] methodParams)` Deprecated. As of 04/01/02, the constructor should be used instead.
`protected Resource` | `makeParent()` Gets a `Resource` object that represents the parent of the current `EJBResource`.
`void` | `reset()` Deprecated. As of 04/01/02.
`protected void` | `writeResourceString(java.lang.StringBuffer buf)` Writes a string representation of the resource to buffer.

Methods inherited from class weblogic.security.service.ResourceBase
`appendArrayValue, appendValue, equals, getFieldType, getID, getParentResource, getRepeatingFieldIndex, getRepeatingFieldTerminatingIndex, getValues, hashCode, init, init, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EJBResource

    public EJBResource(java.lang.String app,
                       java.lang.String module,
                       java.lang.String ejb,
                       java.lang.String method,
                       java.lang.String methodInterface,
                       java.lang.String[] methodParams)

  Constructs a new `EJBResource` with a target name composed from the `app`, `module`, `ejb`, `method`, `methodInterface`, and `methodParams` parameters.

  For example, if the `ejb-jar.xml` deployment descriptor in `myejbs.jar` (which is inside `myApp.ear`) contains the following elements:

  `<method-permission>
  <role-name>MyRole</role-name>
  <method>
  <ejb-name>MyEJB</ejb-name>
  <method-name>*</method-name>
  </method>
  </method-permission>`

  Then the resource to access the home interface of this bean would be `type=<ejb>, application=myApp, module=myejbs, ejb=MyEJB, method=myMethod, methodInterface=Home, signature={argumentType1,argumentType2}` and its parentage would be:

  `type=<ejb>, application=myApp, module=myejbs, ejb=MyEJB, method=myMethod, methodInterface=Home
  type=<ejb>, application=myApp, module=myejbs, ejb=MyEJB, method=myMethod
  type=<ejb>, application=myApp, module=myejbs, ejb=MyEJB
  type=<ejb>, application=myApp, module=myejbs
  type=<ejb>, application=myApp
  type=<app>, application=myApp
  type=<ejb>`

  Parameters:
    `app` - a String indicating the name of the application in which the resource is deployed, as it appears in the corresponding `<display-name>` element. The `<display-name>` element is associated with an `<application>` element in the deployment descriptor, in an `.ear` file. A value of `null` indicates that the resource is not deployed as part of an application.

    `module` - a String name of the module, as it appears in the corresponding `<display-name>` element. The `<display-name>` is associated with the `<ejb-jar>` element in the deployment descriptor. Because the `<display-name>` element is optional in the `<ejb-jar>` element of the deployment descriptor, the name of the `.jar` file containing the EJB, less the '`.jar`' extension, may be used in its absence.

    `ejb` - a String representing the name of the EJB, as it appears in the corresponding `<ejb-name>` element in the deployment descriptor.

    `method` - a String representing the name of the method on the EJB resource, as it appears in the corresponding `<method-name>` element in the deployment descriptor. A value of `null` indicates that the security policy for the resource pertains to all methods that match the other parameters of the resource specification, without consideration of the method name.

    `methodInterface` - a String representing the EJB interface of the resource, as it appears in the corresponding `<method-intf>` element in the deployment descriptor. A value of `null` indicates that the security policy for the resource pertains to all methods that match the other parameters of the resource specification, without consideration of the type of interface on which they occur. Valid values for this parameter are restricted to the following:
    - `Home`
    - `Remote`
    - `LocalHome`
    - `Local`

    `methodParams` - an array of Strings used to specify the parameter signature of the target method. Each element in the array contains the fully-qualified Java classname of the corresponding parameter signature, as it appears in the corresponding `<method-param>` elements (associated with the `<method-name>` element in the deployment descriptor). The order of the elements in the array must take the order of the arguments found in the method signature. An empty array is used to represent a method signature with no arguments. A value of `null` indicates that the security policy for the resource pertains to all methods that match the other parameters of the resource specification, without consideration of the method signature.

Method Detail

### initialize

    public void initialize(java.lang.String application,
                           java.lang.String module,
                           java.lang.String ejb,
                           java.lang.String method,
                           java.lang.String methodInterface,
                           java.lang.String[] methodParams)

  Deprecated. As of 04/01/02, the constructor should be used instead.

  Replaces `application`, `module`, `ejb`, `method`, `methodInterface`, and `methodParams` parameters of the resource with the specified values.

  Parameters:
    `application` - a String indicating the name of the application in which the resource is deployed, as it appears in the corresponding `<display-name>` element. The `<display-name>` element is associated with an `<application>` element in the deployment descriptor, in an `.ear` file. A value of `null` indicates that the resource is not deployed as part of an application.

    `module` - a String name of the module, as it appears in the corresponding `<display-name>` element. The `<display-name>` is associated with the `<ejb-jar>` element in the deployment descriptor. Because the `<display-name>` element is optional in the `<ejb-jar>` element of the deployment descriptor, the name of the `.jar` file containing the EJB, less the '`.jar`' extension, may be used in its absence.

    `ejb` - a String representing the name of the EJB, as it appears in the corresponding `<ejb-name>` element in the deployment descriptor.

    `method` - a String representing the name of the method on the EJB resource, as it appears in the corresponding `<method-name>` element in the deployment descriptor. A value of `null` indicates that the security policy for the resource pertains to all methods that match the other parameters of the resource specification, without consideration of the method name.

    `methodInterface` - a String representing the EJB interface of the resource, as it appears in the corresponding `<method-intf>` element in the deployment descriptor. A value of `null` indicates that the security policy for the resource pertains to all methods that match the other parameters of the resource specification, without consideration of the type of interface on which they occur. Valid values for this parameter are restricted to the following:
    - `Home`
    - `Remote`
    - `LocalHome`
    - `Local`

    `methodParams` - an array of Strings used to specify the parameter signature of the target method. Each element in the array contains the fully-qualified Java classname of the corresponding parameter signature, as it appears in the corresponding `<method-param>` elements (associated with the `<method-name>` element in the deployment descriptor). The order of the elements in the array must take the order of the arguments found in the method signature. An empty array is used to represent a method signature with no arguments. A value of `null` indicates that the security policy for the resource pertains to all methods that match the other parameters of the resource specification, without consideration of the method signature.

### writeResourceString

    protected void writeResourceString(java.lang.StringBuffer buf)

  Writes a string representation of the resource to buffer.

  Parameters:
    `buf` - buffer to write to.
  Overrides:
    writeResourceString in class ResourceBase

### getType

    public java.lang.String getType()

  Gets the type of this resource (`EJBResource`).

  Returns:
    the type of this resource, represented as a String.

### makeParent

    protected Resource makeParent()

  Gets a `Resource` object that represents the parent of the current `EJBResource`. If the resource does not have a parent, the value of `null` is returned.

  The parentage hierarchy for the `EJBResource` (that is, the values returned from successive calls to this method) is:

  `type=<ejb>, app=MyApp, module=MyJarFile, ejb=myEJB, method=myMethod, methodInterface=Home
  type=<ejb>, app=MyApp, module=MyJarFile, ejb=myEJB, method=myMethod
  type=<ejb>, app=MyApp, module=MyJarFile, ejb=myEJB
  type=<ejb>, app=MyApp, module=MyJarFile
  type=<ejb>, app=MyApp
  type=<app>, app=MyApp
  type=<ejb>`

  Returns:
    a `Resource` object of the parent resource.

  Overrides:
    makeParent in class ResourceBase

### reset

    public void reset()

  Deprecated. As of 04/01/02.

  Clears all the values from the `EJBResource`.

  Overrides:
    reset in class ResourceBase

### getKeys

    public java.lang.String[] getKeys()

  Gets keys for the `EJBResource`.

  Returns:
    an array of Strings containing the `EJBResource`'s keys.

  Overrides:
    getKeys in class ResourceBase

### getApplicationName

    public java.lang.String getApplicationName()

  Gets the name of the application associated with the `EJBResource`.

  Returns:
    the name of the application associated with the `EJBResource`, represented as a String.

### getModuleName

    public java.lang.String getModuleName()

  Gets the name of the `EJBResource` module.

  Returns:
    the name of the `EJBResource` module, represented as a String.

### getEJBName

    public java.lang.String getEJBName()

  Gets the name of the EJB.

  Returns:
    the name of the EJB, represented as a String.

### getMethodName

    public java.lang.String getMethodName()

  Gets the name of the method on the `EJBResource`.

  Returns:
    the name of the method on the `EJBResource`, represented as a String.

### getMethodInterface

    public java.lang.String getMethodInterface()

  Gets the EJB interface of the `EJBResource`.

  Returns:
    the EJB interface of the `EJBResource`, represented as a String.

### getMethodParams

    public java.lang.String[] getMethodParams()

  Gets the parameter signature of the target method.

  Returns:
    the parameter signature of the target method, represented as an array of Strings.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference